Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517132 - Time stamp inconsistency for repeated alerts
Summary: Time stamp inconsistency for repeated alerts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Neha Gupta
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-24 09:54 UTC by Lubos Trilety
Modified: 2018-09-04 06:59 UTC (History)
7 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:58:45 UTC


Attachments (Terms of Use)
Alerts drawer (deleted)
2017-11-24 09:54 UTC, Lubos Trilety
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 06:59:57 UTC
Github Tendrl commons issues 784 None None None 2018-01-11 09:11:58 UTC
Github https://github.com/Tendrl ui issues 767 None None None 2018-01-09 11:55:23 UTC

Description Lubos Trilety 2017-11-24 09:54:08 UTC
Created attachment 1358579 [details]
Alerts drawer

Description of problem:
There's bad time for repeated alert, which has clearing alert, in Alerts drawer.

Version-Release number of selected component (if applicable):
tendrl-ansible-1.5.4-1.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-5.el7rhgs.noarch
tendrl-selinux-1.5.3-2.el7rhgs.noarch
tendrl-commons-1.5.4-4.el7rhgs.noarch
tendrl-api-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-5.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-node-agent-1.5.4-5.el7rhgs.noarch
tendrl-notifier-1.5.4-3.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Lets RHGSWA generate some alert (e.g. stop glusterd service)
2. Lets RHGSWA generate clearing alert for the alert from previous step (e.g. start glusterd service)
3. Lets RHGSWA generate the same alert again (e.g. stop glusterd on the same node again)
4. Open Event page and Alerts drawer on RHGSWA UI

Actual results:
A new warning alert is displayed. The time stamp of the alert in Alerts drawer correspond to the clearing alert/event.

Expected results:
Alert should have correct timestamp in Alert drawer.

Additional info:
for more information see attached screenshot

Comment 4 Nishanth Thomas 2017-12-01 04:18:03 UTC
As per https://bugzilla.redhat.com/show_bug.cgi?id=1517132#c3, moving this out of this release.

Comment 5 Neha Gupta 2018-01-08 05:16:50 UTC
@Lubos Can you please share the response received by APIs "/notifications" and "/alerts".

Comment 6 Lubos Trilety 2018-01-10 13:18:41 UTC
Checked on:
tendrl-commons-1.5.4-9.el7rhgs.noarch
tendrl-collectd-selinux-1.5.4-2.el7rhgs.noarch
tendrl-node-agent-1.5.4-16.el7rhgs.noarch
tendrl-gluster-integration-1.5.4-14.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-notifier-1.5.4-6.el7rhgs.noarch
tendrl-api-1.5.4-4.el7rhgs.noarch
tendrl-api-httpd-1.5.4-4.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-14.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ansible-1.5.4-7.el7rhgs.noarch
tendrl-ui-1.5.4-6.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-14.el7rhgs.noarch

It seems to be working properly, I was not able to reproduce the issue.

Comment 7 gowtham 2018-01-11 09:10:37 UTC
This issue is fixed https://github.com/Tendrl/commons/pull/785

Comment 9 Filip Balák 2018-05-11 11:51:38 UTC
Looks ok. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 11 errata-xmlrpc 2018-09-04 06:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.